uses my_mem;
var
 LittleMem:EMMRec;
 MyStr    : ^string;
begin
 if not InitEMM then
  begin
    WriteLn('Suxx');
    Halt(255);
  end;
 WriteLn(MaxEMM);
 if TestAlloc(640 shl 10) then
   if AllocEMM(1024 shl 10,LittleMem) then
   begin
     if MapEMMMemory(LittleMem,0,LittleMem.PageCount mod 4+1) then
      begin
        MyStr := AbsEMM;
        MyStr^ := 'Hack the planet';
        WriteLn(MyStr^);
      end
         else WriteLn('Fuck 2');
     FreeEMM(LittleMem);
   end
   else WriteLn('Fuck');
end.